package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

import java.util.HashMap;
import java.util.Map;

public class BizLogic2 extends GlueActivity<GlueContext> {
    @Override
    public String runActivity(GlueContext ctx) {
        String daoName = this.getProperty("dao") == null ? "biz-dao" : this.getProperty("dao");
        GlueGenericDao dao = this.getDao(daoName);
        Map<String, Object> paramMap = new HashMap<>();
        paramMap.put("empno", "1112");
        paramMap.put("ename", "test-2");
        paramMap.put("sal", "1000");
        paramMap.put("deptno", "40");
        dao.insert("sample02.emp.insert", new GlueParameter<>(paramMap));
        return "success";
    }
}
